/* Header file for options.c */

#ifndef OPTIONS_H
#define OPTIONS_H 1

/* The interval between updates. */
extern int updateinterval;

/* The timeout on monitors. */
extern int monitortimeout;

/* The timout on senders. */
extern int sendertimeout;

/* The time we wait between kill signals on modules. */
extern int module_kill_signal_interval;

/* The urgency level of a fork failure. */
extern int forkfail_urgency;

/* The config dir and default config dir. */
extern char *configdir;
extern char defaultconfigdir[];

/* If set don't delete temp files. Note - Doesn't seem to work now. */
extern int nodelete;

/* If set become a daemon. */
extern int daemon_mode;

#endif /* options.h */
